---
id: "ModuleStore"
title: "Class: ModuleStore"
sidebar_label: "ModuleStore"
sidebar_position: 0
custom_edit_url: null
---

## Constructors

### constructor

• **new ModuleStore**(): [`ModuleStore`](ModuleStore.md)

#### Returns

[`ModuleStore`](ModuleStore.md)

## Properties

### commands

• **commands**: `Map`<`string`, `Module`\>

#### Defined in

[src/core/structures/module-store.ts:10](https://github.com/sern-handler/handler/blob/91b3768e376cfe22ec37d8ab44f4e4a4dfe8a1e8/src/core/structures/module-store.ts#L10)

___

### metadata

• **metadata**: `WeakMap`<`Module`, `CommandMeta`\>

#### Defined in

[src/core/structures/module-store.ts:9](https://github.com/sern-handler/handler/blob/91b3768e376cfe22ec37d8ab44f4e4a4dfe8a1e8/src/core/structures/module-store.ts#L9)
